ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rene Groeschke <rene.groesc...@gradleware.com>
Subject After upgrading to ant 1.9.0 got error "Error opening zip file"
Date Thu, 18 Jul 2013 09:55:17 GMT

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Hello guys,

I'm a committer on the gradle codebase. We want to update our ant
dependencies from ant 1.8.4 to ant 1.9.0 (or better 1.9.2). One of our
integration tests is failing after updating to ant 1.9.0:

We're passing a jar created using ant 1.9.0 as a agent lib to a java
process (java 1.5), the process fails with the following message:

Error opening zip file:
/Users/Rene/github/gradle/gradle/subprojects/plugins/src/integTest/resources/org/gradle/testing/TestEnvironmentIntegrationTest/canRunTestsWithCustomSystemClassLoaderAndJavaAgent/canRunTestsWithCustomSystemClassLoaderAndJavaAgent.jar

Interestingly, this test is only failing with java 1.5. With java 1.6
and java 1.7 does fine. It seems that java 1.5 is not able to use a zip
created with ant 1.9.* as an agent.

You can see the failing test at
http://builds.gradle.org/viewLog.html?buildId=66253&tab=buildResultsDiv&buildTypeId=bt24

Has anybody an idea what we can do here? We would really like to update
to the latest ant version. Is this a known issue?


Best regards,
Rene


-----BEGIN PGP SIGNATURE-----
Version: GnuPG/MacGPG2 v2.0.19 (Darwin)
Comment: GPGTools - http://gpgtools.org
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBCgAGBQJR57uFAAoJEAh+T40NkTZwkMQH/j3d/iTuDbr9IEny83bguek7
QvnW8E0i9nFj5cVQq+PqzxRBn1bWCOw0Z8gaz8yJjKumTaQijrjPAiKS3KDWZ5u7
rpRK5Vwj5Vlg1/MsVay55izt/N9A7BFZadw1zpCuov6NAKnM/dWq2arKzCSMY6Hn
+xWQMkPYx1WP7A9qQkse/YK3lOZgzRpCW94oU1ybUZgLC4HhWzQVvXMJanydTCj0
rGK9H4oCZ8tbnesqwvWwrgj4x/G3Mk/KAJZbovKbtu+VD1cB8a7Bpdx1QzpBYC3J
BSsbHCXBfPjNWeDOBqA4w7PkB6pp9jTiIYGaLBlPia5MORHIPMUvrJ6NRhH2Rsw=
=MqVT
-----END PGP SIGNATURE-----


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message